<!DOCTYPE html>
   <html>
       <head>
           <title>Basic PDF page</title>
           <meta name="viewport" content="width=device-width, initial-scale=1.0">
           <link rel="stylesheet" href="/public/css/style_pdf.css">

           <meta charset="utf-8">
           <meta http-equiv="Content-Type" content="text/html; charset=utf-8">  
           <script src="/public/library/PdfPage-js/PdfFunctions.js"></script>

       </head>
       <body>      
         <div id="invites">
          <table id="table1" class="table table-striped">
          
     
          </table>
            </div>
              <script>

              function UpdateFont(font) {
                var ListInvites = document.getElementsByClassName('ResultConviteScopo')
              for(var i = 0; i< ListInvites.length;i++){
              ListInvites[i].style.fontFamily = font
              }
              }
              </script>
<% if (locals.selectFontFamily) { %>
<script>
var fontServer = '<%- JSON.stringify(selectFontFamily) %>'; // test is now a valid js object
UpdateFont(fontServer)  
</script>
<% } %>

<% if (locals.invitetype) { %>
  <script>

  var linha =  '<%- linha %>'
  var largura = '<%- largura %>'
  var altura ='<%- altura %>'
  var imagebackground = '<%- imagebackground %>'
  var convidadosLista = '<%- convidadosLista %>'
  var invitetype = '<%- invitetype %>'
  var convites ='<%- convites %>'
  var txtMessage = unescape('<%- txtMessage %>')
console.log('type ' + invitetype)
switch(invitetype){
case '0':

  createTable(linha,'table1',convidadosLista,txtMessage,largura,altura,imagebackground)

break
case '1':
  
createTableQuantity(linha,'table1',convites,txtMessage,largura,altura,imagebackground)

break

}
 

  </script>
        <% } %>
   
</body>
</html>